# Package com.sun.mail.iap

package com.sun.mail.iap

This package includes internal IMAP support classes and SHOULD NOT BE USED DIRECTLY BY APPLICATIONS.

Class
Description
Argument
AString
Atom
BadCommandException
ByteArray
A simple wrapper around a byte array, with a start position and count of bytes.
CommandFailedException
ConnectionException
Literal
An interface for objects that provide data dynamically for use in a literal protocol element.
Literal
An interface for objects that provide data dynamically for use in a literal protocol element.
LiteralException
NString
ParsingException
Protocol
General protocol handling code for IMAP-like protocols.
ProtocolException
Response
This class represents a response obtained from the input stream of an IMAP server.
ResponseHandler
This class
ResponseHandler
This class
ResponseInputStream
Inputstream that is used to read a Response.